[arch-commits] Commit in python-future/repos/community-any (4 files)

Felix Yan felixonmars at archlinux.org
Fri Oct 28 03:02:00 UTC 2016


    Date: Friday, October 28, 2016 @ 03:02:00
  Author: felixonmars
Revision: 193832

archrelease: copy trunk to community-any

Added:
  python-future/repos/community-any/PKGBUILD
    (from rev 193831, python-future/trunk/PKGBUILD)
Deleted:
  python-future/repos/community-any/0001-Remove-duplicate-assertion-in-builtins-tests.patch
  python-future/repos/community-any/PKGBUILD
  python-future/repos/community-any/remove-two-expected-failure-decorators.patch

---------------------------------------------------------+
 0001-Remove-duplicate-assertion-in-builtins-tests.patch |   27 --
 PKGBUILD                                                |  144 ++++++--------
 remove-two-expected-failure-decorators.patch            |   20 -
 3 files changed, 66 insertions(+), 125 deletions(-)

Deleted: 0001-Remove-duplicate-assertion-in-builtins-tests.patch
===================================================================
--- 0001-Remove-duplicate-assertion-in-builtins-tests.patch	2016-10-28 03:01:43 UTC (rev 193831)
+++ 0001-Remove-duplicate-assertion-in-builtins-tests.patch	2016-10-28 03:02:00 UTC (rev 193832)
@@ -1,27 +0,0 @@
-From 39a1186ea3a7a7ad1e8225a151e682d02bafdfa9 Mon Sep 17 00:00:00 2001
-From: Evangelos Foutras <evangelos at foutrelis.com>
-Date: Sun, 20 Sep 2015 10:17:44 +0300
-Subject: [PATCH] Remove duplicate assertion in builtins tests
-
-The other instance of this assertion is commented out because it fails
-on Python 3.5; see commit 7959135e44a35de7dff4b56dcaf86d9b74d88329
-(Disable two assertions in builtins tests for Py3.5 compatibility).
----
- tests/test_future/test_builtins.py | 1 -
- 1 file changed, 1 deletion(-)
-
-diff --git a/tests/test_future/test_builtins.py b/tests/test_future/test_builtins.py
-index a6db4fd..84db01e 100644
---- a/tests/test_future/test_builtins.py
-+++ b/tests/test_future/test_builtins.py
-@@ -529,7 +529,6 @@ class BuiltinTest(unittest.TestCase):
-         self.assertRaises(TypeError, compile, 'pass', '?', 'exec',
-                           mode='eval', source='0', filename='tmp')
-         compile('print("\xe5")\n', '', 'exec')
--        self.assertRaises(TypeError, compile, chr(0), 'f', 'exec')
-         self.assertRaises(ValueError, compile, str('a = 1'), 'f', 'bad')
- 
-         # test the optimize argument
--- 
-2.5.2
-

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2016-10-28 03:01:43 UTC (rev 193831)
+++ PKGBUILD	2016-10-28 03:02:00 UTC (rev 193832)
@@ -1,78 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Christopher Arndt <aur -at- chrisarndt -dot- de>
-# Contributor: Gaute Hope <eg at gaute.vetsj.com>
-# Contributor: Melissa Padilla <mpadilla2 at hotmail dot com>
-
-pkgbase=python-future
-pkgname=(python-future python2-future)
-pkgver=0.15.2
-pkgrel=2
-pkgdesc="Clean single-source support for Python 3 and 2"
-url="http://python-future.org/"
-arch=('any')
-license=('MIT')
-makedepends=('python-setuptools' 'python2-setuptools')
-options=('!emptydirs')
-source=("https://pypi.python.org/packages/source/f/future/future-$pkgver.tar.gz"
-        '0001-Remove-duplicate-assertion-in-builtins-tests.patch'
-        'remove-two-expected-failure-decorators.patch')
-md5sums=('a68eb3c90b3b76714c5ceb8c09ea3a06'
-         '0477272fe6697644053a2eb33f9f41a8'
-         'c09987e5fbee6e7520cc9f696c37dbb1')
-sha256sums=('3d3b193f20ca62ba7d8782589922878820d0a023b885882deec830adbf639b97'
-            'b9be3ad81abece44b92f4ac3b931a8e2c42773f4addb8ddfb96b0783ec1335c2'
-            'cd1f918482951c6f437dc356eb87c8325e6ac34c6a9dd3af9fe546ea21bfc8fa')
-
-prepare() {
-  # https://github.com/PythonCharmers/python-future/pull/168
-  patch -d future-$pkgver -Np1 <0001-Remove-duplicate-assertion-in-builtins-tests.patch
-
-  cp -a future-$pkgver{,-py2}
-
-  # Drop expected failure decorators from two tests that succeed on Python 3.5
-  patch -d future-$pkgver -Np1 <remove-two-expected-failure-decorators.patch
-}
-
-build() {
-  cd "$srcdir/future-$pkgver"
-  python setup.py build
-
-  cd "$srcdir/future-$pkgver-py2"
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir/future-${pkgver}"
-  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python setup.py test
-
-  cd "$srcdir/future-${pkgver}-py2"
-  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python2 setup.py test
-}
-
-package_python-future() {
-  depends=('python')
-  optdepends=('python-setuptools: futurize and pasteurize scripts')
-  provides=('futurize' 'pasteurize')
-
-  cd "$srcdir/future-$pkgver"
-
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -D -m644 LICENSE.txt \
-    "$pkgdir/usr/share/licenses/$pkgname/LICENSE.txt"
-}
-
-package_python2-future() {
-  depends=('python2')
-  optdepends=('python2-setuptools: futurize2 and pasteurize2 scripts')
-
-  cd "$srcdir/future-$pkgver-py2"
-
-  python2 setup.py install --root="$pkgdir" --optimize=1
-
-  mv "$pkgdir/usr/bin/futurize"{,2}
-  mv "$pkgdir/usr/bin/pasteurize"{,2}
-
-  install -D -m644 LICENSE.txt \
-    "$pkgdir/usr/share/licenses/$pkgname/LICENSE.txt"
-}

Copied: python-future/repos/community-any/PKGBUILD (from rev 193831, python-future/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2016-10-28 03:02:00 UTC (rev 193832)
@@ -0,0 +1,66 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Christopher Arndt <aur -at- chrisarndt -dot- de>
+# Contributor: Gaute Hope <eg at gaute.vetsj.com>
+# Contributor: Melissa Padilla <mpadilla2 at hotmail dot com>
+
+pkgbase=python-future
+pkgname=(python-future python2-future)
+pkgver=0.16.0
+pkgrel=1
+pkgdesc="Clean single-source support for Python 3 and 2"
+url="http://python-future.org/"
+arch=('any')
+license=('MIT')
+makedepends=('python-setuptools' 'python2-setuptools')
+checkdepends=('python-requests' 'python2-requests')
+options=('!emptydirs')
+source=("https://pypi.io/packages/source/f/future/future-$pkgver.tar.gz")
+sha256sums=('e39ced1ab767b5936646cedba8bcce582398233d6a627067d4c6a454c90cfedb')
+
+prepare() {
+  cp -a future-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/future-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/future-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/future-$pkgver
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python setup.py test || warning "Tests failed"
+
+  cd "$srcdir"/future-$pkgver-py2
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python2 setup.py test
+}
+
+package_python-future() {
+  depends=('python')
+  optdepends=('python-setuptools: futurize and pasteurize scripts')
+  provides=('futurize' 'pasteurize')
+
+  cd future-$pkgver
+
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}
+
+package_python2-future() {
+  depends=('python2')
+  optdepends=('python2-setuptools: futurize2 and pasteurize2 scripts')
+
+  cd future-$pkgver-py2
+
+  python2 setup.py install --root="$pkgdir" --optimize=1
+
+  mv "$pkgdir"/usr/bin/futurize{,2}
+  mv "$pkgdir"/usr/bin/pasteurize{,2}
+
+  install -D -m644 LICENSE.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}

Deleted: remove-two-expected-failure-decorators.patch
===================================================================
--- remove-two-expected-failure-decorators.patch	2016-10-28 03:01:43 UTC (rev 193831)
+++ remove-two-expected-failure-decorators.patch	2016-10-28 03:02:00 UTC (rev 193832)
@@ -1,20 +0,0 @@
-diff --git a/tests/test_future/test_bytes.py b/tests/test_future/test_bytes.py
-index f30e740..c261f02 100644
---- a/tests/test_future/test_bytes.py
-+++ b/tests/test_future/test_bytes.py
-@@ -534,7 +534,6 @@ class TestBytes(unittest.TestCase):
-         self.assertRaises(ValueError, bytes.maketrans, b'abc', b'xyzq')
-         self.assertRaises(TypeError, bytes.maketrans, 'abc', 'def')
- 
--    @unittest.expectedFailure
-     def test_mod(self):
-         """
-         From Py3.5 test suite (post-PEP 461).
-@@ -551,7 +550,6 @@ class TestBytes(unittest.TestCase):
-         a = b % (b'seventy-nine', 79)
-         self.assertEqual(a, b'seventy-nine / 100 = 79%')
- 
--    @unittest.expectedFailure
-     def test_imod(self):
-         """
-         From Py3.5 test suite (post-PEP 461)



More information about the arch-commits mailing list